
![PyPI](https://img.shields.io/pypi/v/lpimagesdownloader)
[![Downloads](https://static.pepy.tech/personalized-badge/lpimagesdownloader?period=total&units=international_system&left_color=black&right_color=brightgreen&left_text=Downloads)](https://pepy.tech/project/lpimagesdownloader)
[![Publish Package](https://github.com/LpCodes/LP-All-Images-Downloader/actions/workflows/python-publish.yml/badge.svg)](https://github.com/LpCodes/LP-All-Images-Downloader/actions/workflows/python-publish.yml)

# LP Images Downloader

A Python package to effortlessly download all images from a given URL. Automate image scraping and save them locally in just a few lines of code.

---

## 📦 Installation

Install the package from PyPI using pip:

```bash
pip install LpImagesDownloader
```

---

## 🚀 Usage/Examples

Here’s how you can use the package to download images:

### Basic Example

```python
from LpImagesDownloader import download_images

# Download images from a webpage, scrolling 3 times to load dynamic content
download_images("https://en.wikipedia.org/wiki/India", 3)
```

### Sample Output

```
Setting Up Environment...

Running Operations in the background. You will get the results shortly...
Scrolling Page 1...
Scrolling Page 2...
Scrolling Page 3...

Total detected images on page: 176
Downloading 1.jpg...
Downloading 2.jpg...
...
Total Images Downloaded: 176
You can view the saved images at: Saved Images/India Wikipedia
```

---

## 🛠️ Features

- **Dynamic Content Handling**: Automatically scrolls through pages to load dynamic images.
- **URL Validation**: Ensures all images are valid before downloading.
- **Customizable Save Locations**: Automatically organizes downloaded images into folders based on page titles.

---

## 🧑‍💻 Author

Created and maintained by [@LpCodes](https://github.com/LpCodes).

---

## 📜 License

This project is licensed under the [MIT License](https://choosealicense.com/licenses/mit/). Feel free to use and modify it as needed.

---

## 🤝 Contributing

Contributions are welcome! Here's how you can contribute:

### Steps to Contribute
1. Fork the repository.
2. Create a new branch: `git checkout -b feature-name`.
3. Make your changes and commit them: `git commit -m 'Add feature-name'`.
4. Push to your branch: `git push origin feature-name`.
5. Open a pull request and describe your changes.

---

## 🌟 Feedback & Suggestions

Have ideas to improve the package or documentation? Open an issue on the [GitHub repository](https://github.com/LpCodes/LP-All-Images-Downloader/issues).

---

## 📝 Additional Resources

- **Bug Tracker**: [Report Issues](https://github.com/LpCodes/LP-All-Images-Downloader/issues)
- **Source Code**: [GitHub Repository](https://github.com/LpCodes/LP-All-Images-Downloader)

---

Thank you for using LP Images Downloader! Your feedback helps make this project better. 😊


